Subject: Re: bug#27154: 25.2; python.el shell does not respect getpass.getpass prompt

From: Glenn Morris <[email-masked]>
Date: Wed, 31 May 2017 14:46:23 -0400

Glenn Morris wrote:

> emacs -Q --eval "(add-hook 'inferior-python-mode-hook (lambda () (push
> 'comint-watch-for-password-prompt comint-output-filter-functions)))"
> -f run-python

Sorry, add-hook would be better than push.

> I have no idea whether your usage is common enough that this should be the
> default.

I see comint-watch-for-password-prompt was taken out a few years ago (a6dc66a),
for performance reasons, https://debbugs.gnu.org/16875 . Though from the
numbers quoted there, it doesn't look like it was causing any problem.